package com.zjrs.zwnw.rlzysc.blo;

import com.zjrs.zwnw.jbxxgl.dto.AreaDTO;
import com.zjrs.zwnw.jbxxgl.po.VSAb01PO;
import com.zjrs.zwnw.jbxxgl.po.VSAc01PO;
import com.zjrs.zwnw.portal.dto.common.CommonDictDTO;
import com.zjrs.zwnw.rlzysc.po.RsGgfwUserPO;

import java.util.List;
import java.util.Map;

public interface RlzyScCommonBLO {
    public List<Object> getZyTree(AreaDTO dto);
    public Map<String, Object> getDicts(CommonDictDTO dto);
    
    //查询人员基本信息
    public VSAc01PO getAc01(String zjlx, String zjhm);
    
    //查询公共服务用户信息
    public RsGgfwUserPO getGgfwUser(String ztid, String fwdx, String zjlx, String zjhm);
    
    //保存人员基本信息
    public void saveAc01(VSAc01PO vSAc01PO);
    
    //保存公共服务用户信息
    public void saveGgfwUser(RsGgfwUserPO rsGgfwUserPO);
    
    //查询单位基本信息
    public VSAb01PO getAb01(String dwmc, String tyshxydm);
    
    //保存单位基本信息
    public void saveAb01(VSAb01PO vSAb01PO);
}
